package com.engine.kq.biz;

import java.util.ArrayList;
import java.util.List;

/**
 * 考勤流程 字段对应 设置类
 */
public class KQAttFlowFieldsSetBiz {

  /**
   * 请假主表流程的规定字段
   */
  public static String[] leaveFields = {"resourceId","departmentId","newLeaveType","fromDate","fromTime","toDate","toTime","duration"};

  /**
   * 出差主表流程的规定字段
   */
  public static String[] evectionFields = {"resourceId","departmentId","fromDate","fromTime","toDate","toTime","duration","companion"};

  /**
   * 公出主表流程的规定字段
   */
  public static String[] outFields = {"resourceId","departmentId","fromDate","fromTime","toDate","toTime","duration"};

  /**
   * 加班主表流程的规定字段
   */
  public static String[] overtimeFields = {"resourceId","departmentId","fromDate","fromTime","toDate","toTime","duration"};

  /**
   * 异常流程主表流程的规定字段
   */
  public static String[] otherFields = {"resourceId","departmentId","fromDate","fromTime","toDate","toTime"};

  /**
   * 排班流程明细流程的规定字段
   */
  public static String[] shiftDetailFields = {"detail_resourceId","detail_fromDate","detail_toDate","detail_shift"};

  /**
   * 销假流程的规定字段
   */
  public static String[] leavebackFields = {"resourceId","leaverequestid","detail_fromDate","detail_fromTime","detail_toDate","detail_toTime","detail_duration"};

  /**
   * 销假流程的规定主字段
   */
  public static String[] leavebackMainFields = {"resourceId","leaverequestid"};

  /**
   * 补卡流程的规定字段
   */
  public static String[] cardFields = {"resourceId","fromDate","toDate","detail_signdate","detail_scheduletime","detail_atteStatus","detail_signtype","detail_signtime"};

  /**
   * 补卡流程的规定字段
   */
  public static String[] cardMainFields = {"resourceId","fromDate","toDate"};

  /**
   * 考勤变更流程的规定主字段
   */
  public static String[] processchangeMainFields = {"resourceId","changerequestid","changetype"};

  /**
   * 考勤变更流程的规定明细字段
   */
  public static String[] processchangeFields = {"resourceId","changerequestid","changetype","detail_attendancefromDate","detail_attendancefromTime","detail_attendancetoDate","detail_attendancetoTime","detail_attendanceduration","detail_fromDate","detail_fromTime","detail_toDate","detail_toTime","detail_duration"};

  /**
   * 根据类型映射查找字段对应
   */
  public static String[][] fieldsRefect = {leaveFields,evectionFields,outFields,overtimeFields,otherFields,shiftDetailFields,leavebackFields,cardFields,processchangeFields};



}
