package com.engine.kq.service;

import weaver.hrm.User;

import java.util.Map;

/**
 * 应用设置
 */
public interface KQSettingsService {

    /**
     * 获取右键菜单
     *
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user);

    /**
     * 获取设置的表单
     *
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getSettingsForm(Map<String, Object> params, User user);

    /**
     * 保存
     *
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> saveSettings(Map<String, Object> params, User user);
}
