package com.engine.kq.service;

import weaver.hrm.User;

import java.util.Map;

/**
 * 考勤报表权限共享
 */
public interface KQReportShareService {

    /**
     * 获取右键菜单
     *
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user);

    /**
     * 获取查询条件
     *
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getSearchCondition(Map<String, Object> params, User user);

    /**
     * 获取查询结果
     *
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getSearchList(Map<String, Object> params, User user);

    /**
     * 获取新建的表单
     *
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getReportShareForm(Map<String, Object> params, User user);

    /**
     * 新建
     *
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> saveReportShare(Map<String, Object> params, User user);

    /**
     * 删除
     *
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> deleteReportShare(Map<String, Object> params, User user);
}
